<p align="center">
	<img alt="logo" src="https://oscimg.oschina.net/oscnet/up-b99b286755aef70355a7084753f89cdb7c9.png">
</p>
<h1 align="center" style="margin: 30px 0 30px; font-weight: bold;">RuoYi-Cloud-RocketMQ v3.6.3</h1>
<h4 align="center">基于 Vue3/Element Plus/Vite 和 Spring Boot/Spring Cloud & Alibaba /RocketMQ前后端分离的分布式微服务架构</h4>
<p align="center">
	<a href="https://gitee.com/y_project/RuoYi-Cloud/stargazers"><img src="https://gitee.com/y_project/RuoYi-Cloud/badge/star.svg?theme=dark"></a>
	<a href="https://gitee.com/y_project/RuoYi-Cloud"><img src="https://img.shields.io/badge/RuoYi-v3.6.2-brightgreen.svg"></a>
	<a href="https://gitee.com/y_project/RuoYi-Cloud/blob/master/LICENSE"><img src="https://img.shields.io/github/license/mashape/apistatus.svg"></a>
</p>

## 平台简介

* 采用前后端分离的模式，微服务版本前端(基于优秀架构 [RuoYi-Cloud ](https://gitee.com/y_project/RuoYi-Cloud))。
* 后端采用Spring Boot、Spring Cloud & Alibaba。
* 注册中心、配置中心选型Nacos，权限认证使用Redis。
* 流量控制框架选型Sentinel，分布式事务选型Seata。
* 消息队列选型RocketMQ,多种消息发送模式。
* 前端使用Vue3、Element Plus、Vite。
* 提供示例模型 助力快速结合业务完成分库分表+读写分离以及分布式事务回滚
* 一键打包Docker镜像到服务器，配置多数据源启动打包设置
* elasticsearch搜索引擎正在集成中完成率90%，各种搜索方式助力企业快速使用
* 0依赖可根据需求加入或剔除不使用的服务模块
* 后续会加入更多中间件...
#### 友情链接 [若依/RuoYi-Cloud](https://gitee.com/y_project/RuoYi-Cloud) Ant Design版本。

<h4 align="center"> 更多扩展开发中</h4>

## 系统模块

~~~
com.yanzhu
├── yanzhu-api             // 接口模块
│       └── yanzhu-api-system                          // 系统接口   
├── yanzhu-auth            // 认证中心 [9200]
├── yanzhu-common          // 通用模块
│       └── yanzhu-common-core                         // 核心模块
│       └── yanzhu-common-datascope                    // 权限范围
│       └── yanzhu-common-datasource                   // 多数据源
│       └── yanzhu-common-log                          // 日志记录
│       └── yanzhu-common-mapper                       // 数据映射
│       └── yanzhu-common-redis                        // 缓存服务
│       └── yanzhu-common-seata                        // 分布式事务
│       └── yanzhu-common-security                     // 安全模块
│       └── yanzhu-common-swagger                      // 系统接口
├── yanzhu-gateway         // 网关模块 [8080]
├── yanzhu-modules         // 业务模块
│       └── yanzhu-system                              // 系统模块 [9201]
│       └── yanzhu-manage                              // 业务模块 [9208]
│       └── yanzhu-wechat                              // 微信模块 [9206]
│       └── yanzhu-gen                                 // 代码生成 [9202]
│       └── yanzhu-job                                 // 定时任务 [9203]
│       └── yanzhu-file                                // 文件服务 [9300]
│       └── yanzhu-flowable                            // 工作流服务 [9205]
├── yanzhu-monitor         // 监控中心 [9100]
├── yanzhu-rocketMQ        // 消息队列 [9207]
├── yanzhu-ui-vue3         // 前端框架 [80]
├── yanzhu-ui-app          // 移动端
├──pom.xml                 // 公共依赖
~~~

由个人原因没有时间写文档 有不明白的地方朋友请加好友 

<img width="200" height="200" src="https://gitee.com/YEBaron/RuoYi-Cloud-RocketMQ/raw/master/sql/image.png"/>

目前2023.11.14更新rocketMq发送消息类型：

1.同步发送：通过调用 send() 方法发送消息，阻塞等待服务器响应。

2.异步发送：通过调用 send() 方法，并传入一个 SendCallback 对象，在发送消息的同时可以继续处理其他逻辑，消息发送结果通过回调函数通知。

3.单向发送：通过调用 sendOneway() 方法发送消息，不关心发送结果，适用于对可靠性要求不高的场景。

4.顺序发送：通过设置 List<Message>数据和定义 messageQueueNumber消息队列数量来保证消息按顺序发送。

5.延迟发送：通过设置延迟级别来实现延迟发送消息。

6.批量发送：通过调用 send() 方法并传入多条消息，实现批量发送消息。

7.事务消息发送：通过使用事务监听器实现本地事务执行和消息发送的一致性。

## 架构图

<img src="https://oscimg.oschina.net/oscnet/up-82e9722ecb846786405a904bafcf19f73f3.png"/>

## 内置功能

1.  用户管理：用户是系统操作者，该功能主要完成系统用户配置。
2.  部门管理：配置系统组织机构（公司、部门、小组），树结构展现支持数据权限。
3.  岗位管理：配置系统用户所属担任职务。
4.  菜单管理：配置系统菜单，操作权限，按钮权限标识等。
5.  角色管理：角色菜单权限分配、设置角色按机构进行数据范围权限划分。
6.  字典管理：对系统中经常使用的一些较为固定的数据进行维护。
7.  参数管理：对系统动态配置常用参数。
8.  通知公告：系统通知公告信息发布维护。
9.  操作日志：系统正常操作日志记录和查询；系统异常信息日志记录和查询。
10. 登录日志：系统登录日志记录查询包含登录异常。
11. 在线用户：当前系统中活跃用户状态监控。
12. 定时任务：在线（添加、修改、删除)任务调度包含执行结果日志。
13. 代码生成：前后端代码的生成（java、html、xml、sql）支持CRUD下载 。
14. 系统接口：根据业务代码自动生成相关的api接口文档。
15. 服务监控：监视当前系统CPU、内存、磁盘、堆栈等相关信息。
16. 在线构建器：拖动表单元素生成相应的HTML代码。
17. 连接池监视：监视当前系统数据库连接池状态，可进行分析SQL找出系统性能瓶颈。

## 演示图

<table>
    <tr>
        <td><img src="https://oscimg.oschina.net/oscnet/cd1f90be5f2684f4560c9519c0f2a232ee8.jpg"/></td>
        <td><img src="https://oscimg.oschina.net/oscnet/1cbcf0e6f257c7d3a063c0e3f2ff989e4b3.jpg"/></td>
    </tr>
    <tr>
        <td><img src="https://oscimg.oschina.net/oscnet/up-8074972883b5ba0622e13246738ebba237a.png"/></td>
        <td><img src="https://oscimg.oschina.net/oscnet/up-9f88719cdfca9af2e58b352a20e23d43b12.png"/></td>
    </tr>
    <tr>
        <td><img src="https://oscimg.oschina.net/oscnet/up-39bf2584ec3a529b0d5a3b70d15c9b37646.png"/></td>
        <td><img src="https://oscimg.oschina.net/oscnet/up-4148b24f58660a9dc347761e4cf6162f28f.png"/></td>
    </tr>
	<tr>
        <td><img src="https://oscimg.oschina.net/oscnet/up-b2d62ceb95d2dd9b3fbe157bb70d26001e9.png"/></td>
        <td><img src="https://oscimg.oschina.net/oscnet/up-d67451d308b7a79ad6819723396f7c3d77a.png"/></td>
    </tr>	 
    <tr>
        <td><img src="https://oscimg.oschina.net/oscnet/5e8c387724954459291aafd5eb52b456f53.jpg"/></td>
        <td><img src="https://oscimg.oschina.net/oscnet/644e78da53c2e92a95dfda4f76e6d117c4b.jpg"/></td>
    </tr>
	<tr>
        <td><img src="https://oscimg.oschina.net/oscnet/up-8370a0d02977eebf6dbf854c8450293c937.png"/></td>
        <td><img src="https://oscimg.oschina.net/oscnet/up-49003ed83f60f633e7153609a53a2b644f7.png"/></td>
    </tr>
	<tr>
        <td><img src="https://oscimg.oschina.net/oscnet/up-d4fe726319ece268d4746602c39cffc0621.png"/></td>
        <td><img src="https://oscimg.oschina.net/oscnet/up-c195234bbcd30be6927f037a6755e6ab69c.png"/></td>
    </tr>
</table>
