/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 80031 (8.0.31)
 Source Host           : localhost:3306
 Source Schema         : yz-config

 Target Server Type    : MySQL
 Target Server Version : 80031 (8.0.31)
 File Encoding         : 65001

 Date: 18/04/2023 18:52:24
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for config_info
-- ----------------------------
DROP TABLE IF EXISTS `config_info`;
CREATE TABLE `config_info`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `content` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'content',
  `md5` varchar(32) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL COMMENT 'source user',
  `src_ip` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'source ip',
  `app_name` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `tenant_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '' COMMENT '租户字段',
  `c_desc` varchar(256) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `c_use` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `effect` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `type` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `c_schema` text CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL,
  `encrypted_data_key` text CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL COMMENT '秘钥',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_configinfo_datagrouptenant`(`data_id` ASC, `group_id` ASC, `tenant_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 43 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = 'config_info' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of config_info
-- ----------------------------
INSERT INTO `config_info` VALUES (1, 'application-dev.yml', 'DEFAULT_GROUP', 'spring:\n  autoconfigure:\n    exclude: com.alibaba.druid.spring.boot.autoconfigure.DruidDataSourceAutoConfigure\n  mvc:\n    pathmatch:\n      matching-strategy: ant_path_matcher\n\n# feign 配置\nfeign:\n  sentinel:\n    enabled: true\n  okhttp:\n    enabled: true\n  httpclient:\n    enabled: false\n  client:\n    config:\n      default:\n        connectTimeout: 10000\n        readTimeout: 10000\n  compression:\n    request:\n      enabled: true\n    response:\n      enabled: true\n\n# 暴露监控端点\nmanagement:\n  endpoints:\n    web:\n      exposure:\n        include: \'*\'\n', 'aaa73b809cfd4d0058893aa13da57806', '2020-05-20 12:00:00', '2022-04-24 10:26:34', 'nacos', '0:0:0:0:0:0:0:1', '', '', '通用配置', 'null', 'null', 'yaml', NULL, '');
INSERT INTO `config_info` VALUES (2, 'yanzhu-gateway-dev.yml', 'DEFAULT_GROUP', 'spring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n  cloud:\n    gateway:\n      discovery:\n        locator:\n          lowerCaseServiceId: true\n          enabled: true\n      routes:\n        # 认证中心\n        - id: yanzhu-auth\n          uri: lb://yanzhu-auth\n          predicates:\n            - Path=/auth/**\n          filters:\n            # 验证码处理\n            - CacheRequestFilter\n            - ValidateCodeFilter\n            - StripPrefix=1\n        # 代码生成\n        - id: yanzhu-gen\n          uri: lb://yanzhu-gen\n          predicates:\n            - Path=/code/**\n          filters:\n            - StripPrefix=1\n        # 定时任务\n        - id: yanzhu-job\n          uri: lb://yanzhu-job\n          predicates:\n            - Path=/schedule/**\n          filters:\n            - StripPrefix=1\n        # 系统模块\n        - id: yanzhu-system\n          uri: lb://yanzhu-system\n          predicates:\n            - Path=/system/**\n          filters:\n            - StripPrefix=1\n        # 文件服务\n        - id: yanzhu-file\n          uri: lb://yanzhu-file\n          predicates:\n            - Path=/file/**\n          filters:\n            - StripPrefix=1\n\n# 安全配置\nsecurity:\n  # 验证码\n  captcha:\n    enabled: true\n    type: math\n  # 防止XSS攻击\n  xss:\n    enabled: true\n    excludeUrls:\n      - /system/notice\n  # 不校验白名单\n  ignore:\n    whites:\n      - /auth/logout\n      - /auth/login\n      - /auth/register\n      - /*/v2/api-docs\n      - /csrf\n      - /system/api/**\n', 'fbcf5930d2c95253f1f51ca10e00890f', '2020-05-14 14:17:55', '2023-03-11 01:37:42', 'nacos', '192.168.3.80', '', '', '网关模块', 'null', 'null', 'yaml', '', '');
INSERT INTO `config_info` VALUES (3, 'yanzhu-auth-dev.yml', 'DEFAULT_GROUP', 'spring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n', '8bd9dada9a94822feeab40de55efced6', '2020-11-20 00:00:00', '2022-09-29 02:48:42', 'nacos', '0:0:0:0:0:0:0:1', '', '', '认证中心', 'null', 'null', 'yaml', '', '');
INSERT INTO `config_info` VALUES (4, 'yanzhu-monitor-dev.yml', 'DEFAULT_GROUP', '# spring\nspring:\n  security:\n    user:\n      name: yanzhu\n      password: 123456\n  boot:\n    admin:\n      ui:\n        title: 若依服务状态监控\n', '6f122fd2bfb8d45f858e7d6529a9cd44', '2020-11-20 00:00:00', '2022-09-29 02:48:54', 'nacos', '0:0:0:0:0:0:0:1', '', '', '监控中心', 'null', 'null', 'yaml', '', '');
INSERT INTO `config_info` VALUES (5, 'yanzhu-system-dev.yml', 'DEFAULT_GROUP', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n  datasource:\n    druid:\n      stat-view-servlet:\n        enabled: true\n        loginUsername: admin\n        loginPassword: 123456\n    dynamic:\n      druid:\n        initial-size: 5\n        min-idle: 5\n        maxActive: 20\n        maxWait: 60000\n        timeBetweenEvictionRunsMillis: 60000\n        minEvictableIdleTimeMillis: 300000\n        validationQuery: SELECT 1 FROM DUAL\n        testWhileIdle: true\n        testOnBorrow: false\n        testOnReturn: false\n        poolPreparedStatements: true\n        maxPoolPreparedStatementPerConnectionSize: 20\n        filters: stat,slf4j\n        connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n      datasource:\n          # 主库数据源\n          master:\n            driver-class-name: com.mysql.cj.jdbc.Driver\n            url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n            username: root\n            password: 123456\n          # 从库数据源\n          # slave:\n          #   username: \n          #   password: \n          #   url: \n          #   driver-class-name: \n\n\n\n  \n          \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.system\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yanzhu\n  licenseUrl: https://ruoyi.vip', '90a7824600ace6ab909e3c375bb1971c', '2020-11-20 00:00:00', '2023-04-18 10:18:04', 'nacos', '0:0:0:0:0:0:0:1', '', '', '系统模块', 'null', 'null', 'yaml', '', '');
INSERT INTO `config_info` VALUES (6, 'yanzhu-gen-dev.yml', 'DEFAULT_GROUP', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n  datasource:\n    driver-class-name: com.mysql.cj.jdbc.Driver\n    url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n    username: root\n    password: 123456\n\n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.gen.domain\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 代码生成接口文档\n  license: Powered By yanzhu\n  licenseUrl: https://ruoyi.vip\n\n# 代码生成\ngen:\n  # 作者\n  author: yanzhu\n  # 默认生成包路径 system 需改成自己的模块名称 如 system monitor tool\n  packageName: com.yanzhu.system\n  # 自动去除表前缀，默认是false\n  autoRemovePre: false\n  # 表前缀（生成类名不会包含表前缀，多个用逗号分隔）\n  tablePrefix: sys_\n', '22336be0d0c333e79a7db2cbf3822513', '2020-11-20 00:00:00', '2023-03-10 02:28:26', 'nacos', '192.168.3.80', '', '', '代码生成', 'null', 'null', 'yaml', '', '');
INSERT INTO `config_info` VALUES (7, 'yanzhu-job-dev.yml', 'DEFAULT_GROUP', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password: \n  datasource:\n    driver-class-name: com.mysql.cj.jdbc.Driver\n    url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n    username: root\n    password: 123456\n\n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.job.domain\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 定时任务接口文档\n  license: Powered By yanzhu\n  licenseUrl: https://ruoyi.vip\n', 'eb727b71bd48ac0af4e0bfec48168f55', '2020-11-20 00:00:00', '2023-03-10 02:28:40', 'nacos', '192.168.3.80', '', '', '定时任务', 'null', 'null', 'yaml', '', '');
INSERT INTO `config_info` VALUES (8, 'yanzhu-file-dev.yml', 'DEFAULT_GROUP', '# 本地文件上传    \r\nfile:\r\n    domain: http://127.0.0.1:9300\r\n    path: D:/yanzhu/uploadPath\r\n    prefix: /statics\r\n\r\n# FastDFS配置\r\nfdfs:\r\n  domain: http://8.129.231.12\r\n  soTimeout: 3000\r\n  connectTimeout: 2000\r\n  trackerList: 8.129.231.12:22122\r\n\r\n# Minio配置\r\nminio:\r\n  url: http://8.129.231.12:9000\r\n  accessKey: minioadmin\r\n  secretKey: minioadmin\r\n  bucketName: test', '5382b93f3d8059d6068c0501fdd41195', '2020-11-20 00:00:00', '2020-12-21 21:01:59', NULL, '0:0:0:0:0:0:0:1', '', '', '文件服务', 'null', 'null', 'yaml', NULL, '');
INSERT INTO `config_info` VALUES (9, 'sentinel-yanzhu-gateway', 'DEFAULT_GROUP', '[\r\n    {\r\n        \"resource\": \"yanzhu-auth\",\r\n        \"count\": 500,\r\n        \"grade\": 1,\r\n        \"limitApp\": \"default\",\r\n        \"strategy\": 0,\r\n        \"controlBehavior\": 0\r\n    },\r\n	{\r\n        \"resource\": \"yanzhu-system\",\r\n        \"count\": 1000,\r\n        \"grade\": 1,\r\n        \"limitApp\": \"default\",\r\n        \"strategy\": 0,\r\n        \"controlBehavior\": 0\r\n    },\r\n	{\r\n        \"resource\": \"yanzhu-gen\",\r\n        \"count\": 200,\r\n        \"grade\": 1,\r\n        \"limitApp\": \"default\",\r\n        \"strategy\": 0,\r\n        \"controlBehavior\": 0\r\n    },\r\n	{\r\n        \"resource\": \"yanzhu-job\",\r\n        \"count\": 300,\r\n        \"grade\": 1,\r\n        \"limitApp\": \"default\",\r\n        \"strategy\": 0,\r\n        \"controlBehavior\": 0\r\n    }\r\n]', '9f3a3069261598f74220bc47958ec252', '2020-11-20 00:00:00', '2020-11-20 00:00:00', NULL, '0:0:0:0:0:0:0:1', '', '', '限流策略', 'null', 'null', 'json', NULL, '');
INSERT INTO `config_info` VALUES (30, 'yanzhu-manage-dev.yml', 'DEFAULT_GROUP', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    # password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://127.0.0.1:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://127.0.0.1:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: 123456\n          url: jdbc:mysql://127.0.0.1:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://127.0.0.1:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://127.0.0.1:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://127.0.0.1:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n       \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.manage\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yz', '52578f112a386671748b3466a02c9cf2', '2023-03-11 06:45:27', '2023-04-18 10:29:16', 'nacos', '0:0:0:0:0:0:0:1', '', '', '试例模块', '', '', 'yaml', '', NULL);
INSERT INTO `config_info` VALUES (38, 'yanzhu-rocketmq-dev.yml', 'DEFAULT_GROUP', '# spring配置\nspring: \n  redis:\n    host: localhost\n    port: 6379\n    # password: \n  datasource: \n    driver-class-name: com.mysql.cj.jdbc.Driver\n    url: jdbc:mysql://127.0.0.1:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n    username: root\n    password: 123456\n\nsuning:\n  rocketmq:\n    # 生产者的组名\n    producer:\n      #是否开启自动配置\n      isEnable: true\n      # 发送同一类消息的设置为同一个group，保证唯一\n      groupName: elink-service-message-producer\n      # 消息最大长度 默认1024*4(4M)\n      maxMessageSize: 4096\n      # 发送消息超时时间,默认3000\n      sendMsgTimeout: 3000\n      # 发送消息失败重试次数，默认2\n      retryTimesWhenSendFailed: 3\n      group: produce-group\n      # NameServer地址\n    #      name-server: 110.42.150.117:9876\n    # 消费者的组名\n    conumer:\n      #是否开启自动配置\n      isEnable: true\n      # 官方建议：确保同一组中的每个消费者订阅相同的主题。\n      groupName: elink-service-message-consumer\n      # groupName: elink-service-message-producer\n      group: conumer-group\n      consumeThreadMin: 20\n      consumeThreadMax: 64\n      # 设置一次消费消息的条数，默认为1条\n      consumeMessageBatchMaxSize: 1\n    # NameServer地址\n    namesrvAddr: 127.0.0.1:9876\n\n', '765c17bc1d06fef027a6637d5c9582fc', '2023-04-18 10:14:48', '2023-04-18 10:14:48', NULL, '0:0:0:0:0:0:0:1', '', '', '试例模块', NULL, NULL, 'yaml', NULL, NULL);

-- ----------------------------
-- Table structure for config_info_aggr
-- ----------------------------
DROP TABLE IF EXISTS `config_info_aggr`;
CREATE TABLE `config_info_aggr`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'group_id',
  `datum_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'datum_id',
  `content` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT '内容',
  `gmt_modified` datetime NOT NULL COMMENT '修改时间',
  `app_name` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `tenant_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '' COMMENT '租户字段',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_configinfoaggr_datagrouptenantdatum`(`data_id` ASC, `group_id` ASC, `tenant_id` ASC, `datum_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = '增加租户字段' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of config_info_aggr
-- ----------------------------

-- ----------------------------
-- Table structure for config_info_beta
-- ----------------------------
DROP TABLE IF EXISTS `config_info_beta`;
CREATE TABLE `config_info_beta`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'group_id',
  `app_name` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'app_name',
  `content` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'content',
  `beta_ips` varchar(1024) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'betaIps',
  `md5` varchar(32) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL COMMENT 'source user',
  `src_ip` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'source ip',
  `tenant_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '' COMMENT '租户字段',
  `encrypted_data_key` text CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL COMMENT '秘钥',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_configinfobeta_datagrouptenant`(`data_id` ASC, `group_id` ASC, `tenant_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = 'config_info_beta' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of config_info_beta
-- ----------------------------

-- ----------------------------
-- Table structure for config_info_tag
-- ----------------------------
DROP TABLE IF EXISTS `config_info_tag`;
CREATE TABLE `config_info_tag`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `data_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'group_id',
  `tenant_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '' COMMENT 'tenant_id',
  `tag_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'tag_id',
  `app_name` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'app_name',
  `content` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'content',
  `md5` varchar(32) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'md5',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  `src_user` text CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL COMMENT 'source user',
  `src_ip` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'source ip',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_configinfotag_datagrouptenanttag`(`data_id` ASC, `group_id` ASC, `tenant_id` ASC, `tag_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = 'config_info_tag' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of config_info_tag
-- ----------------------------

-- ----------------------------
-- Table structure for config_tags_relation
-- ----------------------------
DROP TABLE IF EXISTS `config_tags_relation`;
CREATE TABLE `config_tags_relation`  (
  `id` bigint NOT NULL COMMENT 'id',
  `tag_name` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'tag_name',
  `tag_type` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'tag_type',
  `data_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'data_id',
  `group_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'group_id',
  `tenant_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '' COMMENT 'tenant_id',
  `nid` bigint NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`nid`) USING BTREE,
  UNIQUE INDEX `uk_configtagrelation_configidtag`(`id` ASC, `tag_name` ASC, `tag_type` ASC) USING BTREE,
  INDEX `idx_tenant_id`(`tenant_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = 'config_tag_relation' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of config_tags_relation
-- ----------------------------

-- ----------------------------
-- Table structure for group_capacity
-- ----------------------------
DROP TABLE IF EXISTS `group_capacity`;
CREATE TABLE `group_capacity`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `group_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL DEFAULT '' COMMENT 'Group ID，空字符表示整个集群',
  `quota` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '配额，0表示使用默认值',
  `usage` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '使用量',
  `max_size` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
  `max_aggr_count` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '聚合子配置最大个数，，0表示使用默认值',
  `max_aggr_size` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
  `max_history_count` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '最大变更历史数量',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_group_id`(`group_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = '集群、各Group容量信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of group_capacity
-- ----------------------------

-- ----------------------------
-- Table structure for his_config_info
-- ----------------------------
DROP TABLE IF EXISTS `his_config_info`;
CREATE TABLE `his_config_info`  (
  `id` bigint UNSIGNED NOT NULL,
  `nid` bigint UNSIGNED NOT NULL AUTO_INCREMENT,
  `data_id` varchar(255) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL,
  `group_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL,
  `app_name` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'app_name',
  `content` longtext CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL,
  `md5` varchar(32) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `src_user` text CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL,
  `src_ip` varchar(50) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `op_type` char(10) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL,
  `tenant_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '' COMMENT '租户字段',
  `encrypted_data_key` text CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL COMMENT '秘钥',
  PRIMARY KEY (`nid`) USING BTREE,
  INDEX `idx_gmt_create`(`gmt_create` ASC) USING BTREE,
  INDEX `idx_gmt_modified`(`gmt_modified` ASC) USING BTREE,
  INDEX `idx_did`(`data_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 36 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = '多租户改造' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of his_config_info
-- ----------------------------
INSERT INTO `his_config_info` VALUES (0, 24, 'yanzhu-rocketmq-dev.yml.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://localhost:3306/ry-log?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: wc525123\n          url: jdbc:mysql://101.201.68.182:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n       \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.manage\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yz', 'd573ed2a6a9d3de7940dc767a390a07d', '2023-04-18 17:54:00', '2023-04-18 09:54:00', NULL, '0:0:0:0:0:0:0:1', 'I', '', NULL);
INSERT INTO `his_config_info` VALUES (33, 25, 'yanzhu-rocketmq-dev.yml.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://localhost:3306/ry-log?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: wc525123\n          url: jdbc:mysql://101.201.68.182:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n       \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.manage\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yz', 'd573ed2a6a9d3de7940dc767a390a07d', '2023-04-18 17:56:18', '2023-04-18 09:56:19', 'nacos', '0:0:0:0:0:0:0:1', 'U', '', NULL);
INSERT INTO `his_config_info` VALUES (5, 26, 'yanzhu-system-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://localhost:3306/ry-log?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: wc525123\n          url: jdbc:mysql://101.201.68.182:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n    \n  # datasource:\n  #   druid:\n  #     stat-view-servlet:\n  #       enabled: true\n  #       loginUsername: admin\n  #       loginPassword: 123456\n  #   dynamic:\n  #     druid:\n  #       initial-size: 5\n  #       min-idle: 5\n  #       maxActive: 20\n  #       maxWait: 60000\n  #       timeBetweenEvictionRunsMillis: 60000\n  #       minEvictableIdleTimeMillis: 300000\n  #       validationQuery: SELECT 1 FROM DUAL\n  #       testWhileIdle: true\n  #       testOnBorrow: false\n  #       testOnReturn: false\n  #       poolPreparedStatements: true\n  #       maxPoolPreparedStatementPerConnectionSize: 20\n  #       filters: stat,slf4j\n  #       connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n  #     datasource:\n  #         # 主库数据源\n  #         master:\n  #           driver-class-name: com.mysql.cj.jdbc.Driver\n  #           url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n  #           username: root\n  #           password: 123456\n          # 从库数据源\n          # slave:\n            # username: \n            # password: \n            # url: \n            # driver-class-name: \n\n\n\n  \n          \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.system\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yanzhu\n  licenseUrl: https://ruoyi.vip', 'cc6af346731ddc47a710bb3cfdc50794', '2023-04-18 18:07:42', '2023-04-18 10:07:43', 'nacos', '0:0:0:0:0:0:0:1', 'U', '', NULL);
INSERT INTO `his_config_info` VALUES (5, 27, 'yanzhu-system-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://localhost:3306/ry-log?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: wc525123\n          url: jdbc:mysql://localhost:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n    \n  # datasource:\n  #   druid:\n  #     stat-view-servlet:\n  #       enabled: true\n  #       loginUsername: admin\n  #       loginPassword: 123456\n  #   dynamic:\n  #     druid:\n  #       initial-size: 5\n  #       min-idle: 5\n  #       maxActive: 20\n  #       maxWait: 60000\n  #       timeBetweenEvictionRunsMillis: 60000\n  #       minEvictableIdleTimeMillis: 300000\n  #       validationQuery: SELECT 1 FROM DUAL\n  #       testWhileIdle: true\n  #       testOnBorrow: false\n  #       testOnReturn: false\n  #       poolPreparedStatements: true\n  #       maxPoolPreparedStatementPerConnectionSize: 20\n  #       filters: stat,slf4j\n  #       connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n  #     datasource:\n  #         # 主库数据源\n  #         master:\n  #           driver-class-name: com.mysql.cj.jdbc.Driver\n  #           url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n  #           username: root\n  #           password: 123456\n          # 从库数据源\n          # slave:\n            # username: \n            # password: \n            # url: \n            # driver-class-name: \n\n\n\n  \n          \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.system\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yanzhu\n  licenseUrl: https://ruoyi.vip', '80f7510d7e26b73ce156c3ef07e1961c', '2023-04-18 18:11:12', '2023-04-18 10:11:13', 'nacos', '0:0:0:0:0:0:0:1', 'U', '', NULL);
INSERT INTO `his_config_info` VALUES (5, 28, 'yanzhu-system-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: wc525123\n          url: jdbc:mysql://localhost:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n    \n  # datasource:\n  #   druid:\n  #     stat-view-servlet:\n  #       enabled: true\n  #       loginUsername: admin\n  #       loginPassword: 123456\n  #   dynamic:\n  #     druid:\n  #       initial-size: 5\n  #       min-idle: 5\n  #       maxActive: 20\n  #       maxWait: 60000\n  #       timeBetweenEvictionRunsMillis: 60000\n  #       minEvictableIdleTimeMillis: 300000\n  #       validationQuery: SELECT 1 FROM DUAL\n  #       testWhileIdle: true\n  #       testOnBorrow: false\n  #       testOnReturn: false\n  #       poolPreparedStatements: true\n  #       maxPoolPreparedStatementPerConnectionSize: 20\n  #       filters: stat,slf4j\n  #       connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n  #     datasource:\n  #         # 主库数据源\n  #         master:\n  #           driver-class-name: com.mysql.cj.jdbc.Driver\n  #           url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n  #           username: root\n  #           password: 123456\n          # 从库数据源\n          # slave:\n            # username: \n            # password: \n            # url: \n            # driver-class-name: \n\n\n\n  \n          \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.system\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yanzhu\n  licenseUrl: https://ruoyi.vip', '1f9d88e596db35d6157e2ecd8a20fd9c', '2023-04-18 18:12:19', '2023-04-18 10:12:20', 'nacos', '0:0:0:0:0:0:0:1', 'U', '', NULL);
INSERT INTO `his_config_info` VALUES (0, 29, 'yanzhu-rocketmq-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring: \n  redis:\n    host: localhost\n    port: 6379\n    # password: \n  datasource: \n    driver-class-name: com.mysql.cj.jdbc.Driver\n    url: jdbc:mysql://127.0.0.1:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n    username: root\n    password: 123456\n\nsuning:\n  rocketmq:\n    # 生产者的组名\n    producer:\n      #是否开启自动配置\n      isEnable: true\n      # 发送同一类消息的设置为同一个group，保证唯一\n      groupName: elink-service-message-producer\n      # 消息最大长度 默认1024*4(4M)\n      maxMessageSize: 4096\n      # 发送消息超时时间,默认3000\n      sendMsgTimeout: 3000\n      # 发送消息失败重试次数，默认2\n      retryTimesWhenSendFailed: 3\n      group: produce-group\n      # NameServer地址\n    #      name-server: 110.42.150.117:9876\n    # 消费者的组名\n    conumer:\n      #是否开启自动配置\n      isEnable: true\n      # 官方建议：确保同一组中的每个消费者订阅相同的主题。\n      groupName: elink-service-message-consumer\n      # groupName: elink-service-message-producer\n      group: conumer-group\n      consumeThreadMin: 20\n      consumeThreadMax: 64\n      # 设置一次消费消息的条数，默认为1条\n      consumeMessageBatchMaxSize: 1\n    # NameServer地址\n    namesrvAddr: 127.0.0.1:9876\n\n', '765c17bc1d06fef027a6637d5c9582fc', '2023-04-18 18:14:47', '2023-04-18 10:14:48', NULL, '0:0:0:0:0:0:0:1', 'I', '', NULL);
INSERT INTO `his_config_info` VALUES (33, 30, 'yanzhu-rocketmq-dev.yml.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring: \n  redis:\n    host: localhost\n    port: 6379\n    # password: \n  datasource: \n    driver-class-name: com.mysql.cj.jdbc.Driver\n    url: jdbc:mysql://127.0.0.1:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n    username: root\n    password: 123456\n\nsuning:\n  rocketmq:\n    # 生产者的组名\n    producer:\n      #是否开启自动配置\n      isEnable: true\n      # 发送同一类消息的设置为同一个group，保证唯一\n      groupName: elink-service-message-producer\n      # 消息最大长度 默认1024*4(4M)\n      maxMessageSize: 4096\n      # 发送消息超时时间,默认3000\n      sendMsgTimeout: 3000\n      # 发送消息失败重试次数，默认2\n      retryTimesWhenSendFailed: 3\n      group: produce-group\n      # NameServer地址\n    #      name-server: 110.42.150.117:9876\n    # 消费者的组名\n    conumer:\n      #是否开启自动配置\n      isEnable: true\n      # 官方建议：确保同一组中的每个消费者订阅相同的主题。\n      groupName: elink-service-message-consumer\n      # groupName: elink-service-message-producer\n      group: conumer-group\n      consumeThreadMin: 20\n      consumeThreadMax: 64\n      # 设置一次消费消息的条数，默认为1条\n      consumeMessageBatchMaxSize: 1\n    # NameServer地址\n    namesrvAddr: 127.0.0.1:9876\n\n', '765c17bc1d06fef027a6637d5c9582fc', '2023-04-18 18:14:53', '2023-04-18 10:14:54', NULL, '0:0:0:0:0:0:0:1', 'D', '', NULL);
INSERT INTO `his_config_info` VALUES (5, 31, 'yanzhu-system-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n    \n  # datasource:\n  #   druid:\n  #     stat-view-servlet:\n  #       enabled: true\n  #       loginUsername: admin\n  #       loginPassword: 123456\n  #   dynamic:\n  #     druid:\n  #       initial-size: 5\n  #       min-idle: 5\n  #       maxActive: 20\n  #       maxWait: 60000\n  #       timeBetweenEvictionRunsMillis: 60000\n  #       minEvictableIdleTimeMillis: 300000\n  #       validationQuery: SELECT 1 FROM DUAL\n  #       testWhileIdle: true\n  #       testOnBorrow: false\n  #       testOnReturn: false\n  #       poolPreparedStatements: true\n  #       maxPoolPreparedStatementPerConnectionSize: 20\n  #       filters: stat,slf4j\n  #       connectionProperties: druid.stat.mergeSql\\=true;druid.stat.slowSqlMillis\\=5000\n  #     datasource:\n  #         # 主库数据源\n  #         master:\n  #           driver-class-name: com.mysql.cj.jdbc.Driver\n  #           url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n  #           username: root\n  #           password: 123456\n          # 从库数据源\n          # slave:\n            # username: \n            # password: \n            # url: \n            # driver-class-name: \n\n\n\n  \n          \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.system\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yanzhu\n  licenseUrl: https://ruoyi.vip', 'daa2a9a93718c33dbb6c30fbc8591d22', '2023-04-18 18:18:04', '2023-04-18 10:18:04', 'nacos', '0:0:0:0:0:0:0:1', 'U', '', NULL);
INSERT INTO `his_config_info` VALUES (30, 32, 'yanzhu-manage-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://localhost:3306/ry-log?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: wc525123\n          url: jdbc:mysql://101.201.68.182:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n       \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.manage\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yz', 'd573ed2a6a9d3de7940dc767a390a07d', '2023-04-18 18:23:48', '2023-04-18 10:23:48', 'nacos', '0:0:0:0:0:0:0:1', 'U', '', NULL);
INSERT INTO `his_config_info` VALUES (30, 33, 'yanzhu-manage-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: wc525123\n          url: jdbc:mysql://localhost:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n       \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.manage\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yz', '894747451da11d5464e4e1a8ae3f53ef', '2023-04-18 18:28:05', '2023-04-18 10:28:05', 'nacos', '0:0:0:0:0:0:0:1', 'U', '', NULL);
INSERT INTO `his_config_info` VALUES (30, 34, 'yanzhu-manage-dev.yml', 'DEFAULT_GROUP', '', '# spring配置\nspring:\n  redis:\n    host: localhost\n    port: 6379\n    # password:\n   # 分库分表配置\n  shardingsphere:\n    datasource:\n      ds0:\n        driver-class-name: com.mysql.cj.jdbc.Driver\n        type: com.zaxxer.hikari.HikariDataSource\n        username: root\n        password: 123456\n        jdbc-url: jdbc:mysql://127.0.0.1:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n      names: ds0\n    props:\n      sql-show: true\n    rules:\n      sharding:\n        sharding-algorithms:\n          table-inline:\n            props:\n              algorithm-expression: sys_oper_log_$->{request_method}\n            type: INLINE\n        tables:\n          sys_oper_log:\n            actual-data-nodes: ds0.sys_oper_log_GET,ds0.sys_oper_log_POST,ds0.sys_oper_log_PUT,ds0.sys_oper_log_DELETE\n            table-strategy:\n              standard:\n                sharding-algorithm-name: table-inline\n                sharding-column: request_method\n    # 动态多数据源配置\n  datasource:\n    dynamic:\n      datasource:\n        master:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-cloud?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        order:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/ry-order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_order数据源\n        orders:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_order?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_account数据源\n        account:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n        # seata_product数据源\n        product:\n          username: root\n          password: 123456\n          url: jdbc:mysql://localhost:3306/seata_product?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8\n          driver-class-name: com.mysql.cj.jdbc.Driver\n    #开启seata代理，开启后默认每个数据源都代理，如果某个不需要代理可单独关闭\n    seata: true    \n\n# seata配置\nseata:\n  enabled: true\n  # Seata 应用编号，默认为 ${spring.application.name}\n  application-id: ${spring.application.name}\n  # Seata 事务组编号，用于 TC 集群名\n  tx-service-group: ${spring.application.name}-group\n  # 关闭自动代理\n  enable-auto-data-source-proxy: false\n  # 服务配置项\n  service:\n    # 虚拟组和分组的映射\n    vgroup-mapping:\n      yanzhu-system-group: default\n    # 分组和 Seata 服务的映射\n    grouplist:\n      default: 127.0.0.1:8091\n  config:\n    type: file\n  registry:\n    type: file\n       \n# mybatis配置\nmybatis:\n    # 搜索指定包别名\n    typeAliasesPackage: com.yanzhu.manage\n    # 配置mapper的扫描，找到所有的mapper.xml映射文件\n    mapperLocations: classpath:mapper/**/*.xml\n\n# swagger配置\nswagger:\n  title: 系统模块接口文档\n  license: Powered By yz', '666f8dc7bf1dd7a1ce0c59c5fc928f67', '2023-04-18 18:29:16', '2023-04-18 10:29:16', 'nacos', '0:0:0:0:0:0:0:1', 'U', '', NULL);
INSERT INTO `his_config_info` VALUES (13, 35, 'config-sharding-jdbc.yaml', 'DEFAULT_GROUP', '', '# 以下配置截止版本为3.1\n# 配置文件中,必须配置的项目为schemaName,dataSources,并且sharidngRule,masterSlaveRule,配置其中一个(注意,除非server.yaml中定义了Orchestration,否则必须至少有一个config-xxxx配置文件),除此之外的其他项目为可选项\n# schema名称,每个文件都是单独的schema,多个schema则是多个yaml文件,yaml文件命名要求是config-xxxx.yaml格式,虽然没有强制要求,但推荐名称中的xxxx与配置的schemaName保持一致,方便维护\nschemaName: test \n\ndataSources: # 配置数据源列表,必须是有效的jdbc配置,目前仅支持MySQL与PostgreSQL,另外通过一些未公开(代码中可查,但可能会在未来有变化)的变量,可以配置来兼容其他支持JDBC的数据库,但由于没有足够的测试支持,可能会有严重的兼容性问题,配置时候要求至少有一个\n  master_ds_0: # 数据源名称,可以是合法的字符串,目前的校验规则中,没有强制性要求,只要是合法的yaml字符串即可,但如果要用于分库分表配置,则需要有有意义的标志(在分库分表配置中详述),以下为目前公开的合法配置项目,不包含内部配置参数\n    # 以下参数为必备参数\n    # 这里的要求合法的jdbc连接串即可,目前尚未兼容MySQL 8.x,需要在maven编译时候,升级MySQL JDBC版本到5.1.46或者47版本(不建议升级到JDBC的8.x系列版本,需要修改源代码,并且无法通过很多测试case)\n    url: jdbc:mysql://127.0.0.1:3306/demo_ds_slave_1?serverTimezone=UTC&useSSL=false \n    # MySQL用户名\n    username: root\n    # MySQL用户的明文密码 \n    password: password \n    # 以下参数为可选参数,给出示例为默认配置,主要用于连接池控制\n    #连接超时控制\n    connectionTimeoutMilliseconds: 30000 \n    # 连接空闲时间设置\n    idleTimeoutMilliseconds: 60000 \n    # 连接的最大持有时间,0为无限制\n    maxLifetimeMilliseconds: 0 \n    # 连接池中最大维持的连接数量\n    maxPoolSize: 50 \n    # 连接池的最小连接数量\n    minPoolSize: 1 \n    # 连接维护的时间间隔 atomikos框架需求\n    maintenanceIntervalMilliseconds: 30000 \n  # 以下配置的假设是,3307是3306的从库,3309,3310是3308的从库\n  slave_ds_0:\n    url: jdbc:mysql://127.0.0.1:3307/demo_ds_slave_1?serverTimezone=UTC&useSSL=false\n    username: root\n    password: password\n  master_ds_1:\n    url: jdbc:mysql://127.0.0.1:3308/demo_ds_slave_1?serverTimezone=UTC&useSSL=false\n    username: root\n    password: password\n  slave_ds_1:\n    url: jdbc:mysql://127.0.0.1:3309/demo_ds_slave_1?serverTimezone=UTC&useSSL=false\n    username: root\n    password: password\n  slave_ds_1_slave2:\n    url: jdbc:mysql://127.0.0.1:3310/demo_ds_slave_1?serverTimezone=UTC&useSSL=false\n    username: root\n    password: password\nmasterSlaveRule: # 这里配置这个规则的话,相当于是全局读写分离配置\n  # 名称,合法的字符串即可,但如果涉及到在读写分离的基础上设置分库分表,则名称需要有意义才可以,另外,虽然目前没有强制要求,但主从库配置需要配置在实际关联的主从库上,如果配置的数据源之间主从是断开的状态,那么可能会发生写入的数据对于只读会话无法读取到的问题\n  name: ds_rw \n  # 如果一个会话发生了写入并且没有提交(显式打开事务),sharidng sphere在后续的路由中,select都会在主库执行,直到会话提交\n  masterDataSourceName: master_ds_0 # 主库的DataSource名称\n  slaveDataSourceNames: # 从库的DataSource列表,至少需要有一个\n    - slave_ds_0\n   # MasterSlaveLoadBalanceAlgorithm接口的实现类,允许自定义实现 默认提供两个,配置路径为io.shardingsphere.api.algorithm.masterslave下的RandomMasterSlaveLoadBalanceAlgorithm(随机Random)与RoundRobinMasterSlaveLoadBalanceAlgorithm(轮询:次数%从库数量)  \n  loadBalanceAlgorithmClassName: io.shardingsphere.api.algorithm.masterslave\n  loadBalanceAlgorithmType: #从库负载均衡算法类型，可选值：ROUND_ROBIN，RANDOM。若loadBalanceAlgorithmClassName存在则忽略该配置,默认为ROUND_ROBIN\n\nshardingRule: # sharding的配置\n  # 配置主要分两类,一类是对整个sharding规则所有表生效的默认配置,一个是sharing具体某张表时候的配置\n  # 首先说默认配置\n  masterSlaveRules: # 在shardingRule中也可以配置shardingRule,对分片生效,具体内容与全局masterSlaveRule一致,但语法为:\n    master_test_0:\n      masterDataSourceName: master_ds_0\n      slaveDataSourceNames:\n        - slave_ds_0\n    master_test_1:\n      masterDataSourceName: master_ds_1\n      slaveDataSourceNames:\n        - slave_ds_1\n        - slave_ds_1_slave2\n  # 这里的数据源允许是dataSources的配置项目或者masterSlaveRules配置的名称,配置为masterSlaveRule的话相当于就是配置读写分离了\n  defaultDataSourceName: master_test_0 \n  broadcastTables: # 广播表 这里配置的表列表,对于发生的所有数据变更,都会不经sharidng处理,而是直接发送到所有数据节点,注意此处为列表,每个项目为一个表名称\n    - broad_1\n    - broad_2\n  bindingTables: # 绑定表,也就是实际上哪些配置的sharidng表规则需要实际生效的列表,配置为yaml列表,并且允许单个条目中以逗号切割,所配置表必须已经配置为逻辑表\n    - sharding_t1\n    - sharding_t2,sharding_t3\n  defaultDatabaseShardingStrategy: # 默认库级别sharidng规则,对应代码中ShardingStrategy接口的实现类,目前支持none,inline,hint,complex,standard五种配置 注意此处默认配置仅可以配置五个中的一个\n  # 规则配置同样适合表sharding配置,同样是在这些算法中选择\n    none: # 不配置任何规则,SQL会被发给所有节点去执行,这个规则没有子项目可以配置\n    inline: # 行表达式分片\n      # 分片列名称\n      shardingColumn: test_id \n      # 分片表达式,根据指定的表达式计算得到需要路由到的数据源名称 需要是合法的groovy表达式,示例配置中,取余为0则语句路由到master_test_0,取余为1则路由到master_test_1\n      algorithmExpression: master_test_${test_id % 2} \n    hint: #基于标记的sharding分片\n      shardingAlgorithm: # 需要是HintShardingAlgorithm接口的实现,目前代码中,仅有为测试目的实现的OrderDatabaseHintShardingAlgorithm,没有生产环境可用的实现\n    complex: # 支持多列的shariding,目前无生产可用实现\n      shardingColumns: # 逗号切割的列\n      shardingAlgorithm: # ComplexKeysShardingAlgorithm接口的实现类\n    standard: # 单列sharidng算法,需要配合对应的preciseShardingAlgorithm,rangeShardingAlgorithm接口的实现使用,目前无生产可用实现\n      shardingColumn: # 列名,允许单列\n      preciseShardingAlgorithm: # preciseShardingAlgorithm接口的实现类\n      rangeShardingAlgorithm: # rangeShardingAlgorithm接口的实现类\n  defaultTableStrategy: #配置参考defaultDatabaseShardingStrategy,区别在于,inline算法的配置中,algorithmExpression的配置算法结果需要是实际的物理表名称,而非数据源名称\n  defaultKeyGenerator: #默认的主键生成算法 如果没有设置,默认为SNOWFLAKE算法\n    column: # 自增键对应的列名称\n    type: #自增键的类型,主要用于调用内置的主键生成算法有三个可用值:SNOWFLAKE(时间戳+worker id+自增id),UUID(java.util.UUID类生成的随机UUID),LEAF,其中Snowflake算法与UUID算法已经实现,LEAF目前(2018-01-14)尚未实现\n    className: # 非内置的其他实现了KeyGenerator接口的类,需要注意,如果设置这个,就不能设置type,否则type的设置会覆盖class的设置\n    props:\n      # 定制算法需要设置的参数,比如SNOWFLAKE算法的worker.id与max.tolerate.time.difference.milliseconds\n  tables: #配置表sharding的主要位置\n    sharding_t1:\n      # sharidng 表对应的数据源以及物理名称,需要用表达式处理,表示表实际上在哪些数据源存在,配置示例中,意思是总共存在4个分片master_test_0.t_order0,master_test_0.t_order1,master_test_1.t_order0,master_test_1.t_order1\n      actualDataNodes: master_test_${0..1}.t_order${0..1} \n      # 需要注意的是,必须保证设置databaseStrategy可以路由到唯一的dataSource,tableStrategy可以路由到dataSource中唯一的物理表上,否则可能导致错误:一个insert语句被插入到多个实际物理表中\n      databaseStrategy: # 局部设置会覆盖全局设置,参考defaultDatabaseShardingStrategy\n      tableStrategy: # 局部设置会覆盖全局设置,参考defaultTableStrategy\n      keyGenerator: # 局部设置会覆盖全局设置,参考defaultKeyGenerator\n      logicIndex: # 逻辑索引名称 由于Oracle,PG这种数据库中,索引与表共用命名空间,如果接受到drop index语句,执行之前,会通过这个名称配置的确定对应的实际物理表名称\nprops:\n  sql.show: #是否开启SQL显示，默认值: false\n  acceptor.size: # accept连接的线程数量,默认为cpu核数2倍\n  executor.size: #工作线程数量最大，默认值: 无限制\n  max.connections.size.per.query: # 每个查询可以打开的最大连接数量,默认为1\n  proxy.frontend.flush.threshold: # proxy的服务时候,对于单个大查询,每多少个网络包返回一次\n  check.table.metadata.enabled: #是否在启动时检查分表元数据一致性，默认值: false\n  proxy.transaction.type: # 默认LOCAL,proxy的事务模型 允许LOCAL,XA,BASE三个值 LOCAL无分布式事务,XA则是采用atomikos实现的分布式事务 BASE目前尚未实现\n  proxy.opentracing.enabled: # 是否启用opentracing\n  proxy.backend.use.nio: # 是否采用netty的NIO机制连接后端数据库,默认False ,使用epoll机制\n  proxy.backend.max.connections: # 使用NIO而非epoll的话,proxy后台连接每个netty客户端允许的最大连接数量(注意不是数据库连接限制) 默认为8\n  proxy.backend.connection.timeout.seconds: #使用nio而非epoll的话,proxy后台连接的超时时间,默认60s\n  check.table.metadata.enabled: # 是否在启动时候,检查sharing的表的实际元数据是否一致,默认False\n\n#数据治理\norchestration:\n  name: #数据治理实例名称\n  overwrite: #本地配置是否覆盖注册中心配置。如果可覆盖，每次启动都以本地配置为准\n  registry: #注册中心配置\n    serverLists: #连接注册中心服务器的列表。包括IP地址和端口号。多个地址用逗号分隔。如: host1:2181,host2:2181\n    namespace: #注册中心的命名空间\n    digest: #连接注册中心的权限令牌。缺省为不需要权限验证\n    operationTimeoutMilliseconds: #操作超时的毫秒数，默认500毫秒\n    maxRetries: #连接失败后的最大重试次数，默认3次\n    retryIntervalMilliseconds: #重试间隔毫秒数，默认500毫秒\n    timeToLiveSeconds: #临时节点存活秒数，默认60秒', 'e24621fe292306e3777398da496247b1', '2023-04-18 18:52:04', '2023-04-18 10:52:04', NULL, '0:0:0:0:0:0:0:1', 'D', '', NULL);

-- ----------------------------
-- Table structure for permissions
-- ----------------------------
DROP TABLE IF EXISTS `permissions`;
CREATE TABLE `permissions`  (
  `role` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `resource` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `action` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  UNIQUE INDEX `uk_role_permission`(`role` ASC, `resource` ASC, `action` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of permissions
-- ----------------------------

-- ----------------------------
-- Table structure for roles
-- ----------------------------
DROP TABLE IF EXISTS `roles`;
CREATE TABLE `roles`  (
  `username` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `role` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  UNIQUE INDEX `idx_user_role`(`username` ASC, `role` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of roles
-- ----------------------------
INSERT INTO `roles` VALUES ('nacos', 'ROLE_ADMIN');

-- ----------------------------
-- Table structure for tenant_capacity
-- ----------------------------
DROP TABLE IF EXISTS `tenant_capacity`;
CREATE TABLE `tenant_capacity`  (
  `id` bigint UNSIGNED NOT NULL AUTO_INCREMENT COMMENT '主键ID',
  `tenant_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL DEFAULT '' COMMENT 'Tenant ID',
  `quota` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '配额，0表示使用默认值',
  `usage` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '使用量',
  `max_size` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '单个配置大小上限，单位为字节，0表示使用默认值',
  `max_aggr_count` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '聚合子配置最大个数',
  `max_aggr_size` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '单个聚合数据的子配置大小上限，单位为字节，0表示使用默认值',
  `max_history_count` int UNSIGNED NOT NULL DEFAULT 0 COMMENT '最大变更历史数量',
  `gmt_create` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `gmt_modified` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_tenant_id`(`tenant_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = '租户容量信息表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tenant_capacity
-- ----------------------------

-- ----------------------------
-- Table structure for tenant_info
-- ----------------------------
DROP TABLE IF EXISTS `tenant_info`;
CREATE TABLE `tenant_info`  (
  `id` bigint NOT NULL AUTO_INCREMENT COMMENT 'id',
  `kp` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL COMMENT 'kp',
  `tenant_id` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '' COMMENT 'tenant_id',
  `tenant_name` varchar(128) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT '' COMMENT 'tenant_name',
  `tenant_desc` varchar(256) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'tenant_desc',
  `create_source` varchar(32) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NULL DEFAULT NULL COMMENT 'create_source',
  `gmt_create` bigint NOT NULL COMMENT '创建时间',
  `gmt_modified` bigint NOT NULL COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `uk_tenant_info_kptenantid`(`kp` ASC, `tenant_id` ASC) USING BTREE,
  INDEX `idx_tenant_id`(`tenant_id` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb3 COLLATE = utf8mb3_bin COMMENT = 'tenant_info' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of tenant_info
-- ----------------------------

-- ----------------------------
-- Table structure for users
-- ----------------------------
DROP TABLE IF EXISTS `users`;
CREATE TABLE `users`  (
  `username` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `password` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY (`username`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of users
-- ----------------------------
INSERT INTO `users` VALUES ('nacos', '$2a$10$EuWPZHzz32dJN7jexM34MOeYirDdFAZm2kuWj7VEOJhhZkDrxfvUu', 1);

SET FOREIGN_KEY_CHECKS = 1;
