package com.yanzhu.manage.mapper;

import com.yanzhu.manage.domain.BusTrainingVideoUser;

import java.util.List;

/**
 * 用户培训视频Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface BusTrainingVideoUserMapper 
{
    /**
     * 查询用户培训视频
     * 
     * @param id 用户培训视频主键
     * @return 用户培训视频
     */
    public BusTrainingVideoUser selectBusTrainingVideoUserById(Long id);

    /**
     * 查询用户培训视频列表
     * 
     * @param busTrainingVideoUser 用户培训视频
     * @return 用户培训视频集合
     */
    public List<BusTrainingVideoUser> selectBusTrainingVideoUserList(BusTrainingVideoUser busTrainingVideoUser);

    /**
     * 新增用户培训视频
     * 
     * @param busTrainingVideoUser 用户培训视频
     * @return 结果
     */
    public int insertBusTrainingVideoUser(BusTrainingVideoUser busTrainingVideoUser);

    /**
     * 修改用户培训视频
     * 
     * @param busTrainingVideoUser 用户培训视频
     * @return 结果
     */
    public int updateBusTrainingVideoUser(BusTrainingVideoUser busTrainingVideoUser);

    /**
     * 删除用户培训视频
     * 
     * @param id 用户培训视频主键
     * @return 结果
     */
    public int deleteBusTrainingVideoUserById(Long id);

    /**
     * 批量删除用户培训视频
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBusTrainingVideoUserByIds(Long[] ids);
}
