package com.yanzhu.manage.mapper;

import java.util.List;
import com.yanzhu.manage.domain.ProProjectInfoSubdeptsGroup;

/**
 * 分包单位班组Mapper接口
 * 
 * @author JiangYuqi
 * @date 2024-08-25
 */
public interface ProProjectInfoSubdeptsGroupMapper 
{
    /**
     * 查询分包单位班组
     * 
     * @param id 分包单位班组主键
     * @return 分包单位班组
     */
    public ProProjectInfoSubdeptsGroup selectProProjectInfoSubdeptsGroupById(Long id);

    /**
     * 查询分包单位班组列表
     * 
     * @param proProjectInfoSubdeptsGroup 分包单位班组
     * @return 分包单位班组集合
     */
    public List<ProProjectInfoSubdeptsGroup> selectProProjectInfoSubdeptsGroupList(ProProjectInfoSubdeptsGroup proProjectInfoSubdeptsGroup);

    /**
     * 新增分包单位班组
     * 
     * @param proProjectInfoSubdeptsGroup 分包单位班组
     * @return 结果
     */
    public int insertProProjectInfoSubdeptsGroup(ProProjectInfoSubdeptsGroup proProjectInfoSubdeptsGroup);

    /**
     * 修改分包单位班组
     * 
     * @param proProjectInfoSubdeptsGroup 分包单位班组
     * @return 结果
     */
    public int updateProProjectInfoSubdeptsGroup(ProProjectInfoSubdeptsGroup proProjectInfoSubdeptsGroup);

    /**
     * 删除分包单位班组
     * 
     * @param id 分包单位班组主键
     * @return 结果
     */
    public int deleteProProjectInfoSubdeptsGroupById(Long id);

    /**
     * 批量删除分包单位班组
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProProjectInfoSubdeptsGroupByIds(Long[] ids);
}
