package com.yanzhu.manage.mapper;

import java.util.List;
import com.yanzhu.manage.domain.ProProjectInfoUsers;

/**
 * 项目人员Mapper接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface ProProjectInfoUsersMapper 
{
    /**
     * 查询项目人员
     * 
     * @param id 项目人员主键
     * @return 项目人员
     */
    public ProProjectInfoUsers selectProProjectInfoUsersById(Long id);

    /**
     * 查询项目人员列表
     * 
     * @param proProjectInfoUsers 项目人员
     * @return 项目人员集合
     */
    public List<ProProjectInfoUsers> selectProProjectInfoUsersList(ProProjectInfoUsers proProjectInfoUsers);

    /**
     * 新增项目人员
     * 
     * @param proProjectInfoUsers 项目人员
     * @return 结果
     */
    public int insertProProjectInfoUsers(ProProjectInfoUsers proProjectInfoUsers);

    /**
     * 修改项目人员
     * 
     * @param proProjectInfoUsers 项目人员
     * @return 结果
     */
    public int updateProProjectInfoUsers(ProProjectInfoUsers proProjectInfoUsers);

    /**
     * 删除项目人员
     * 
     * @param id 项目人员主键
     * @return 结果
     */
    public int deleteProProjectInfoUsersById(Long id);

    /**
     * 批量删除项目人员
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteProProjectInfoUsersByIds(Long[] ids);
}
