package com.yanzhu.manage.service;

import java.util.List;
import com.yanzhu.manage.domain.BusExamInfoQues;

/**
 * 试卷问题Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface IBusExamInfoQuesService 
{
    /**
     * 查询试卷问题
     * 
     * @param examId 试卷问题主键
     * @return 试卷问题
     */
    public BusExamInfoQues selectBusExamInfoQuesByExamId(Long examId);

    /**
     * 查询试卷问题列表
     * 
     * @param busExamInfoQues 试卷问题
     * @return 试卷问题集合
     */
    public List<BusExamInfoQues> selectBusExamInfoQuesList(BusExamInfoQues busExamInfoQues);

    /**
     * 新增试卷问题
     * 
     * @param busExamInfoQues 试卷问题
     * @return 结果
     */
    public int insertBusExamInfoQues(BusExamInfoQues busExamInfoQues);

    /**
     * 修改试卷问题
     * 
     * @param busExamInfoQues 试卷问题
     * @return 结果
     */
    public int updateBusExamInfoQues(BusExamInfoQues busExamInfoQues);

    /**
     * 批量删除试卷问题
     * 
     * @param examIds 需要删除的试卷问题主键集合
     * @return 结果
     */
    public int deleteBusExamInfoQuesByExamIds(Long[] examIds);

    /**
     * 删除试卷问题信息
     * 
     * @param examId 试卷问题主键
     * @return 结果
     */
    public int deleteBusExamInfoQuesByExamId(Long examId);
}
