package com.yanzhu.manage.service;

import java.util.List;
import com.yanzhu.manage.domain.ProProjectInfoDepts;

/**
 * 参建单位Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface IProProjectInfoDeptsService 
{
    /**
     * 查询参建单位
     * 
     * @param id 参建单位主键
     * @return 参建单位
     */
    public ProProjectInfoDepts selectProProjectInfoDeptsById(Long id);

    /**
     * 查询参建单位列表
     * 
     * @param proProjectInfoDepts 参建单位
     * @return 参建单位集合
     */
    public List<ProProjectInfoDepts> selectProProjectInfoDeptsList(ProProjectInfoDepts proProjectInfoDepts);

    /**
     * 新增参建单位
     * 
     * @param proProjectInfoDepts 参建单位
     * @return 结果
     */
    public int insertProProjectInfoDepts(ProProjectInfoDepts proProjectInfoDepts);

    /**
     * 修改参建单位
     * 
     * @param proProjectInfoDepts 参建单位
     * @return 结果
     */
    public int updateProProjectInfoDepts(ProProjectInfoDepts proProjectInfoDepts);

    /**
     * 批量删除参建单位
     * 
     * @param ids 需要删除的参建单位主键集合
     * @return 结果
     */
    public int deleteProProjectInfoDeptsByIds(Long[] ids);

    /**
     * 删除参建单位信息
     * 
     * @param id 参建单位主键
     * @return 结果
     */
    public int deleteProProjectInfoDeptsById(Long id);
}
