package com.yanzhu.manage.service;

import java.util.List;
import com.yanzhu.manage.domain.ProProjectInfoSubdeptsUsers;

/**
 * 分包单位工人Service接口
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public interface IProProjectInfoSubdeptsUsersService 
{
    /**
     * 查询分包单位工人
     * 
     * @param id 分包单位工人主键
     * @return 分包单位工人
     */
    public ProProjectInfoSubdeptsUsers selectProProjectInfoSubdeptsUsersById(Long id);

    /**
     * 查询分包单位工人列表
     * 
     * @param proProjectInfoSubdeptsUsers 分包单位工人
     * @return 分包单位工人集合
     */
    public List<ProProjectInfoSubdeptsUsers> selectProProjectInfoSubdeptsUsersList(ProProjectInfoSubdeptsUsers proProjectInfoSubdeptsUsers);

    /**
     * 新增分包单位工人
     * 
     * @param proProjectInfoSubdeptsUsers 分包单位工人
     * @return 结果
     */
    public int insertProProjectInfoSubdeptsUsers(ProProjectInfoSubdeptsUsers proProjectInfoSubdeptsUsers);

    /**
     * 修改分包单位工人
     * 
     * @param proProjectInfoSubdeptsUsers 分包单位工人
     * @return 结果
     */
    public int updateProProjectInfoSubdeptsUsers(ProProjectInfoSubdeptsUsers proProjectInfoSubdeptsUsers);

    /**
     * 批量删除分包单位工人
     * 
     * @param ids 需要删除的分包单位工人主键集合
     * @return 结果
     */
    public int deleteProProjectInfoSubdeptsUsersByIds(Long[] ids);

    /**
     * 删除分包单位工人信息
     * 
     * @param id 分包单位工人主键
     * @return 结果
     */
    public int deleteProProjectInfoSubdeptsUsersById(Long id);
}
